
exports.up = async function(knex, Promise) {
    await knex.schema.createTable('private_posts', function(table){
        table.inherits('messages');
        table.string('author_uid', 128).notNullable();
        table.enum('author_db', ['ldap']).notNullable().defaultTo('ldap');
        table.string('recipient_uid', 128).notNullable();
    });
    await knex.schema.createTable('questions', function(table){
        table.inherits('messages');
        table.string('author_uid', 128).notNullable();
        table.enum('author_db', ['ldap']).notNullable().defaultTo('ldap');
        table.string('recipient_uid', 128).notNullable();
    });
    await knex.schema.createTable('answers', function(table){
        table.inherits('messages');
        table.string('author_uid', 128).notNullable();
        table.string('recipient_uid', 128).notNullable();
        table.string('for_question', 128).notNullable();
    });
    return;
};

exports.down = async function(knex, Promise) {
    await knex.schema.dropTable('answers');
    await knex.schema.dropTable('questions');
    await knex.schema.dropTable('private_posts');
    return;
};
