
exports.up = function (knex, Promise) {
    return knex.schema.createTable('requests', function (table) {
        table.increments('rid'); //autoincrementing (non-nullable) primary key
        table.timestamps(true, true); //adds timestamptz-type (a PostgresQL data type) updated_at and created_at columns

        table.string('request_to',128).notNullable()
            .references('gid').inTable('groups')
            .onDelete('CASCADE'); //delete request from database if recipient group is deleted
        //'request_from' can be a Group or a User, so specified in childtables.
        table.text('request_comment');
    });

    /* TODO: make a new migration to create these child tables
    .then(()=>{
        return knex.schema.createTable('user_join_group', function (table) {
            table.inherits('requests');
            table.string('useruid').notNullable();
        }).then(()=>{
            return knex.schema.createTable('group_join_event', function (table){
                table.inherits('requests');
                table.string('eventuid').notNullable();
                table.string('senderuid').notNullable();
            }).then(() => {
                return knex.schema.createTable('your_group_host_event', function(table){
                    table.inherits('requests');
                    table.string('eventuid').notNullable();
                    table.string('senderuid').notNullable();
                });
            });
        });
    });
    */
};

exports.down = function (knex, Promise) {
    return knex.schema.dropTable('requests');
};
